Skip to content
Leadtime
English
Esc
navigateopen⌘Jpreview

Audit history for an object (paginated, newest first)

GET/objects/{id}/history
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:read
or
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idstringrequired
Responses
200
itemsObjectHistoryEntryPublicDto[]required
Show properties
Array of ObjectHistoryEntryPublicDto
actionstringrequired
Allowed:UpdateCreateDeleteArchiveRestoreLoginLogout
changesObjectHistoryFieldChangePublicDto[]required
Show properties
Array of ObjectHistoryFieldChangePublicDto
fieldKeystringrequired
labelstringrequired
newStatusColorobject | null
Hex color when fieldKey is statusId (new value)
newTextstringrequired
oldStatusColorobject | null
Hex color when fieldKey is statusId (old value)
oldTextstringrequired
createdAtstringrequired
ISO 8601 timestamp
idstringrequired
userObjectHistoryUserPublicDtorequired
Show properties
avatarIdobject | nullrequired
firstNamestringrequired
idstringrequired
lastNamestringrequired
pagenumberrequired
pageSizenumberrequired
totalnumberrequired
401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
Request
curl -X GET "https://leadtime.app/api/public/objects/string/history" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
Response
{
  "items": [
    {
      "action": "Update",
      "changes": [
        {
          "fieldKey": "string",
          "label": "string",
          "newStatusColor": {},
          "newText": "string",
          "oldStatusColor": {},
          "oldText": "string"
        }
      ],
      "createdAt": "string",
      "id": "string",
      "user": {
        "avatarId": {},
        "firstName": "string",
        "id": "string",
        "lastName": "string"
      }
    }
  ],
  "page": 0,
  "pageSize": 0,
  "total": 0
}